### Method

# Cogl Pipeline set_per_vertex_point_size

#### Declaration [src]

    gboolean
    cogl_pipeline_set_per_vertex_point_size (
      CoglPipeline* pipeline,
      gboolean enable,
      GError** error
    )

#### Description [src]

Sets whether to use a per-vertex point size or to use the value set by cogl_pipeline_set_point_size(). If per-vertex point size is enabled then the point size can be set for an individual point either by drawing with a `CoglAttribute` with the name ‘cogl_point_size_in’ or by writing to the GLSL builtin ‘cogl_point_size_out’ from a vertex shader snippet.

If per-vertex point size is enabled and this attribute is not used and cogl_point_size_out is not written to then the results are undefined.

#### Parameters

`enable`

  Type: `gboolean`

  Whether to enable per-vertex point size.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the change succeeded or `FALSE` otherwise.